// ProObjRect.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjRectSub.h"	// For CFCPROOBJRECT.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjRect _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjRect : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjRect)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjRect();
	~CFCProObjRect();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjRect)
	enum { IDD = IDD_PRO_RECT };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
		//    _xZkqqHx_iClBiCmMiImKjChFiCmJjAlGjAkMiClDiCoKiCoJiDfCiBfLiDgIiCpAjFnCiPfHiClFiCmIiCkCiCmFiCkNiClOiClDiCkCiBeC_xHqqkZx_
	//}}AFX_DATA

CFCPROOBJRECT

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCpAjAlGjAkMiClFiDeJiBfLiDgPiBfLiDiJiDeDiDgIiClFiCnMiClHiBeC_xHqqkZx_
	//{{AFX_VIRTUAL(CFCProObjRect)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjRect)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeRctEdtCenterX();
	afx_msg void OnChangeRctEdtCenterY();
	afx_msg void OnChangeRctEdtHAxisX();
	afx_msg void OnChangeRctEdtVAxisY();
	afx_msg void OnChangeRctEdtVAxisX();
	afx_msg void OnChangeRctEdtAngle();
	afx_msg void OnDialogInitValue();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};
